| Flutter macOS Embedder |

Instance Methods | Protected Attributes | Properties | List of all members
FlutterTextInputPlugin() Category Reference

## Instance Methods
(void) | - handleMethodCall:result:
(void) | - setEditingState:
(void) | - updateEditState
(void) | - updateEditStateWithDelta:
(void) | - updateTextAndSelection
(NSString *) | - textAffinityString

## Protected Attributes
NSTextInputContext * | _textInputContext
FlutterMethodChannel * | _channel
__weak FlutterViewController * | _currentViewController
__weak FlutterViewController * | _originalViewController
__weak id< FlutterTextInputPluginDelegate > | _delegate
BOOL | _shown
uint64_t | _previouslyPressedFlags
FlutterTextAffinity | _textAffinity
NSNumber * | _clientID
NSString * | _inputType
NSString * | _inputAction
BOOL | _eventProducedOutput
BOOL | _enableDeltaModel
NSMutableArray * | _pendingSelectors
std::unique_ptr< flutter::TextInputModel > | _activeModel
CATransform3D | _editableTransform
CGRect | _caretRect

## Properties
NSString * | customRunLoopMode
NSTextInputContext * | textInputContext

## Detailed Description

Private properties of FlutterTextInputPlugin.

Definition at line 207 of file FlutterTextInputPlugin.mm.

## Method Documentation

## ◆ handleMethodCall:result:

- (void) handleMethodCall: |  | (FlutterMethodCall *) | call
result: |  | (FlutterResult) | result

Handles a Flutter system message on the text input channel.

## ◆ setEditingState:

- (void) setEditingState: |  | (NSDictionary *) | state |

Updates the text input model with state received from the framework via the TextInput.setEditingState message.

## ◆ textAffinityString

- (NSString*) textAffinityString |  |  |

Return the string representation of the current textAffinity as it should be sent over the FlutterMethodChannel.

## ◆ updateEditState

- (void) updateEditState |  |  |

Informs the Flutter framework of changes to the text input model's state by sending the entire new state.

## ◆ updateEditStateWithDelta:

- (void) updateEditStateWithDelta: |  | (const flutter::TextEditingDelta) | delta |

Informs the Flutter framework of changes to the text input model's state by sending only the difference.

## ◆ updateTextAndSelection

- (void) updateTextAndSelection |  |  |

Updates the stringValue and selectedRange that stored in the NSTextView interface that this plugin inherits from.

If there is a FlutterTextField uses this plugin as its field editor, this method will update the stringValue and selectedRange through the API of the FlutterTextField.

## Member Data Documentation

## ◆ _activeModel

- (unique_ptr<)flutter:
| protected

The currently active text input model.

Definition at line 294 of file FlutterTextInputPlugin.mm.

## ◆ _caretRect

- (CGRect) _caretRect
| protected

Current position of caret in local (editable) coordinates.

Definition at line 304 of file FlutterTextInputPlugin.mm.

## ◆ _channel

- (FlutterMethodChannel*) _channel
| protected

The channel used to communicate with Flutter.

Definition at line 216 of file FlutterTextInputPlugin.mm.

## ◆ _clientID

- (NSNumber*) _clientID
| protected

ID of the text input client.

Definition at line 255 of file FlutterTextInputPlugin.mm.

## ◆ _currentViewController

- (__weak FlutterViewController*) _currentViewController
| protected

The FlutterViewController to manage input for.

Definition at line 221 of file FlutterTextInputPlugin.mm.

## ◆ _delegate

- (__weak id<FlutterTextInputPluginDelegate>) _delegate
| protected

Used to obtain view controller on client creation

Definition at line 233 of file FlutterTextInputPlugin.mm.

## ◆ _editableTransform

- (CATransform3D) _editableTransform
| protected

Transform for current the editable. Used to determine position of accent selection menu.

Definition at line 299 of file FlutterTextInputPlugin.mm.

## ◆ _enableDeltaModel

- (BOOL) _enableDeltaModel
| protected

Whether to enable the sending of text input updates from the engine to the framework as TextEditingDeltas rather than as one TextEditingValue. For more information on the delta model, see: https://master-api.flutter.dev/flutter/services/TextInputConfiguration/enableDeltaModel.html

Definition at line 282 of file FlutterTextInputPlugin.mm.

## ◆ _eventProducedOutput

- (BOOL) _eventProducedOutput
| protected

Set to true if the last event fed to the input context produced a text editing command or text output. It is reset to false at the beginning of every key event, and is only used while processing this event.

Definition at line 274 of file FlutterTextInputPlugin.mm.

## ◆ _inputAction

- (NSString*) _inputAction
| protected

An action requested by the user on the input client. See available options: https://api.flutter.dev/flutter/services/TextInputAction-class.html

Definition at line 267 of file FlutterTextInputPlugin.mm.

## ◆ _inputType

- (NSString*) _inputType
| protected

Keyboard type of the client. See available options: https://api.flutter.dev/flutter/services/TextInputType-class.html

Definition at line 261 of file FlutterTextInputPlugin.mm.

## ◆ _originalViewController

- (__weak FlutterViewController*) _originalViewController
| protected

The originally requested view controller. This may be attached to a window that is a descendant of _currentViewController window in case the window can not become a key window (i.e. popup window).

Definition at line 228 of file FlutterTextInputPlugin.mm.

## ◆ _pendingSelectors

- (NSMutableArray*) _pendingSelectors
| protected

Used to gather multiple selectors performed in one run loop turn. These will be all sent in one platform channel call so that the framework can process them in single microtask.

Definition at line 289 of file FlutterTextInputPlugin.mm.

## ◆ _previouslyPressedFlags

- (uint64_t) _previouslyPressedFlags
| protected

The current state of the keyboard and pressed keys.

Definition at line 245 of file FlutterTextInputPlugin.mm.

## ◆ _shown

- (BOOL) _shown
| protected

Whether the text input is shown in the view.

Defaults to TRUE on startup.

Definition at line 240 of file FlutterTextInputPlugin.mm.

## ◆ _textAffinity

- (FlutterTextAffinity) _textAffinity
| protected

The affinity for the current cursor position.

Definition at line 250 of file FlutterTextInputPlugin.mm.

## ◆ _textInputContext

- (NSTextInputContext*) _textInputContext
| protected

A text input context, representing a connection to the Cocoa text input system.

Definition at line 211 of file FlutterTextInputPlugin.mm.

## Property Documentation

## ◆ customRunLoopMode

- (NSString*) customRunLoopMode
| read write nonatomic assign

Allow overriding run loop mode for test.

Definition at line 348 of file FlutterTextInputPlugin.mm.

## ◆ textInputContext

- (NSTextInputContext*) textInputContext
| read write nonatomic assign

Definition at line 349 of file FlutterTextInputPlugin.mm.

The documentation for this category was generated from the following file:

- shell/platform/darwin/macos/framework/Source/FlutterTextInputPlugin.mm